svn::Info Class Reference

`#include <info.hpp>`

## Public Member Functions

| Info (const Path &path, const svn_info_t *src=0)
| Info (const Info &src)
virtual | ~Info ()
Info & | operator= (const Info &)
bool | isValid () const
const Path & | path () const
svn_revnum_t | revision () const
const char * | url () const
const char * | repos () const
const char * | uuid () const
svn_node_kind_t | kind () const
svn_revnum_t | lastChangedRev () const
apr_time_t | lastChangedDate () const
const char * | lastChangedAuthoer () const

## Detailed Description

C++ API for Subversion. This class wraps around svn_info_t.

## Constructor & Destructor Documentation

svn::Info::Info | ( | const Path & | path,
|  | const svn_info_t * | src = `0`
| ) |  |

default constructor. if src is set, copy its contents.

If src is not set (=0) this will be a non-versioned entry. This can be checked later with isValid ().

Parameters

  src | another entry to copy from

svn::Info::Info | ( | const Info & | src | ) |

copy constructor

virtual svn::Info::~Info | ( |  | ) |

virtual

destructor

## Member Function Documentation

bool svn::Info::isValid | ( |  | ) | const

returns whether this is a valid=versioned entry.

Returns
  is entry valid

Return values

  true | valid entry
  false | invalid or unversioned entry

svn_node_kind_t svn::Info::kind | ( |  | ) | const

Returns
  node kind (file, dir, ...)

const char* svn::Info::lastChangedAuthoer | ( |  | ) | const

apr_time_t svn::Info::lastChangedDate | ( |  | ) | const

svn_revnum_t svn::Info::lastChangedRev | ( |  | ) | const

Info& svn::Info::operator= | ( | const Info & |  | ) |

assignment operator

const Path& svn::Info::path | ( |  | ) | const

Returns
  entry's name

const char* svn::Info::repos | ( |  | ) | const

Returns
  canonical repository url

svn_revnum_t svn::Info::revision | ( |  | ) | const

Returns
  base revision

const char* svn::Info::url | ( |  | ) | const

Returns
  url in repository

const char* svn::Info::uuid | ( |  | ) | const

Returns
  repository uuid

The documentation for this class was generated from the following file:

- info.hpp